SUSE: 2022:513-1 suse/sle15 Security Update | LinuxSecurity.com
SUSE Container Update Advisory: suse/sle15
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:513-1
Container Tags        : suse/sle15:15.0 , suse/sle15:15.0.4.22.539
Container Release     : 4.22.539
Severity              : important
Type                  : security
References            : 1084671 1151708 1168235 1168389 1169006 1172427 1174942 1175514
                        1175623 1178236 1178554 1178825 1188921 1194642 CVE-2021-37600
-----------------------------------------------------------------

The container suse/sle15 was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:1108-1
Released:    Mon Apr  4 17:49:39 2022
Summary:     Security update for util-linux
Type:        security
Severity:    important
References:  1084671,1151708,1168235,1168389,1169006,1172427,1174942,1175514,1175623,1178236,1178554,1178825,1188921,1194642,CVE-2021-37600
This update for util-linux fixes the following issues:

- Improve throughput and reduce clock sequence increments for high load situation with time based 
  version 1 uuids. (bsc#1194642)
- Prevent root owning of `/var/lib/libuuid/clock.txt`. (bsc#1194642)
- Warn if uuidd lock state is not usable. (bsc#1194642)
- Fix 'su -s' bash completion. (bsc#1172427)
- CVE-2021-37600: Fixed an integer overflow which could lead to buffer overflow in get_sem_elements. (bsc#1188921)
- blockdev: Do not fail --report on kpartx-style partitions on multipath. (bsc#1168235)
- nologin: Add support for -c to prevent error from su -c. (bsc#1151708)
- Avoid triggering autofs in lookup_umount_fs_by_statfs. (bsc#1168389)
- Avoid segfault on PowerPC systems with valid hardware configurations. (bsc#1175623, bsc#1178554, bsc#1178825)
- Do not trigger CDROM autoclose. (bsc#1084671)
- Avoid sulogin failing on not existing or not functional console devices. (bsc#1175514)
- Build with libudev support to support non-root users. (bsc#1169006)
- Fix warning on mounts to CIFS with mount -a. (SG#57988, bsc#1174942)


The following package changes have been done:

- libblkid1-2.31.1-150000.9.18.2 updated
- libfdisk1-2.31.1-150000.9.18.2 updated
- libmount1-2.31.1-150000.9.18.2 updated
- libsmartcols1-2.31.1-150000.9.18.2 updated
- libuuid1-2.31.1-150000.9.18.2 updated
- util-linux-2.31.1-150000.9.18.2 updated

SUSE: 2022:513-1 suse/sle15 Security Update

April 5, 2022
The container suse/sle15 was updated

Summary

Advisory ID: SUSE-SU-2022:1108-1 Released: Mon Apr 4 17:49:39 2022 Summary: Security update for util-linux Type: security Severity: important

References

References : 1084671 1151708 1168235 1168389 1169006 1172427 1174942 1175514

1175623 1178236 1178554 1178825 1188921 1194642 CVE-2021-37600

1084671,1151708,1168235,1168389,1169006,1172427,1174942,1175514,1175623,1178236,1178554,1178825,1188921,1194642,CVE-2021-37600

This update for util-linux fixes the following issues:

- Improve throughput and reduce clock sequence increments for high load situation with time based

version 1 uuids. (bsc#1194642)

- Prevent root owning of `/var/lib/libuuid/clock.txt`. (bsc#1194642)

- Warn if uuidd lock state is not usable. (bsc#1194642)

- Fix 'su -s' bash completion. (bsc#1172427)

- CVE-2021-37600: Fixed an integer overflow which could lead to buffer overflow in get_sem_elements. (bsc#1188921)

- blockdev: Do not fail --report on kpartx-style partitions on multipath. (bsc#1168235)

- nologin: Add support for -c to prevent error from su -c. (bsc#1151708)

- Avoid triggering autofs in lookup_umount_fs_by_statfs. (bsc#1168389)

- Avoid segfault on PowerPC systems with valid hardware configurations. (bsc#1175623, bsc#1178554, bsc#1178825)

- Do not trigger CDROM autoclose. (bsc#1084671)

- Avoid sulogin failing on not existing or not functional console devices. (bsc#1175514)

- Build with libudev support to support non-root users. (bsc#1169006)

- Fix warning on mounts to CIFS with mount -a. (SG#57988, bsc#1174942)

The following package changes have been done:

- libblkid1-2.31.1-150000.9.18.2 updated

- libfdisk1-2.31.1-150000.9.18.2 updated

- libmount1-2.31.1-150000.9.18.2 updated

- libsmartcols1-2.31.1-150000.9.18.2 updated

- libuuid1-2.31.1-150000.9.18.2 updated

- util-linux-2.31.1-150000.9.18.2 updated

Severity
Container Advisory ID : SUSE-CU-2022:513-1
Container Tags : suse/sle15:15.0 , suse/sle15:15.0.4.22.539
Container Release : 4.22.539
Severity : important
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.